<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 01-发布文档 -->
<!-- Title: 20250513-电商应用发布材料 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 电商应用发布材料
- 授权回调链接URL：https://#{host}/qifu-saas-eg/open/order/oauth/callback/#{channel}/#{appName}
- Webhook链接URL：https://#{host}/qifu-saas-eg/open/order/callback/#{channel}/#{appName}
- #{host}: 对应环境的域名
- #{channel}：电商渠道
  - 1: eBay
  - 2: TikTok
  - 3: Amazon
  - 4: Lazada
  - 5: Shopee
- #{appName}: 应用名称，需要是英文，因为单个渠道可能会有多个应用，所以这边做兼容

## 材料准备
### eBay
需要配置事件通知地址（服务已支撑）

- 操作界面：https://developer.ebay.com/my/push?env=production&index=0
- 配置 email
- 配置 endpoint: 例如 `https://xxxxx.keyfil.com/qifu-saas-eg/open/order/callback/1` 将 `xxx.keyfil.com` 改为对应的环境
- 保存即可

### Tiktok
- 需要先注册账号：https://partner-sso.tiktok.com/account/login?from=ttspc_no_login&redirectURL=%2F%2Fpartner.tiktokshop.com%2Fapproval%2Fprofile&lang=zh-CN&local_id=localID_Portal_50688815_1742884012545&userID=46044724&is_through_login=1
- 操作界面：https://partner.tiktokshop.com/approval/profile
- 成为合作者文档：https://partner.tiktokshop.com/doc/page/63fd7443715d622a338c507f
- 创建和发布服务文档：https://partner.tiktokshop.com/doc/page/63fd7445715d622a338c509d#%E5%9B%9E%E5%88%B0%E9%A1%B6%E9%83%A8


### Shopee
- 需要先注册账号
- ![](https://picture.texous.cn/blog/20250516172708794.png)

### Lazada
- 发布教程：https://www.yuque.com/lazadasellerservicemarket/hoafmn/qyldgaxgtfsm5om6?singleDoc#%20%E3%80%8A%E5%BC%80%E6%94%BE%E5%B9%B3%E5%8F%B0%E5%95%86%E7%94%A8APPKEY%E5%8F%91%E5%B8%83%E8%87%B3%E6%9C%8D%E5%8A%A1%E5%B8%82%E5%9C%BA%E6%95%99%E7%A8%8B%E3%80%8B
- 软件发布需要的资料
  - ![](https://picture.texous.cn/blog/20250515154647472.png)
  - ![](https://picture.texous.cn/blog/20250515154237847.png)
- 如果需要解密敏感信息需要做如下操作
  - 解密信息申请：https://eco.lazada.com/service/project?id=7377
  - 第一步需要产品介入
  - 第三步需要开发介入

### Amazon
- 需要重新注册账号
- ![](https://picture.texous.cn/blog/20250516165509840.png)
