<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 01-发布文档 -->
<!-- Title: 20250614-Lazada联调对接发布 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# Lazada联调对接发布

## 发布说明

### 涉及项目

| 项目           | 分支     | 发布顺序 | 数据库变更                 | 配置变更                    | 负责人 | 备注                         |
|--------------|--------|------|-----------------------|-------------------------|-----|----------------------------|
| qifu-saas-eg | master | 5    | [数据库脚本DDL](#数据库脚本DDL) | [Nacos配置文件](#Nacos配置文件) | 刘晓华 | 注意配置文件中需要修改的部分需要修改为对应环境的数据 |

### 附件

#### 数据库脚本DDL

##### qifu-saas-eg数据库DDL

```sql
ALTER TABLE `eg_order_order`
    ADD COLUMN `region` varchar(25) NOT NULL DEFAULT '' COMMENT '信息来源，参考 XXXRegionEnum' AFTER `id`;
```

##### qifu-saas-eg数据库DML

```sql


```

#### Nacos配置文件

```yaml
yuanmeng:
  web:
    filter:
      external-url-list:
        - "/order/oauth/accessToken"
        - "/order/oauth/status"
        - "/order/sync"
        - "/order/sync/get"
        - "/wework/authorize-url-resend"
  oss:
    # minio 配置，需要修改为对应环境的
    endpoint: http://10.168.2.236:9000
    region: cn-shenzhen
    access-key: nJ6zxA2tJdnXEgOl
    secret-key: h5ahuWxxa5dQyCwrr6is3gJKbgFx0mrk
    bucket-name: automation
    path-style-access: true

qifu:
  eg:
    wework-map:
      keyfil:
        oauth-redirect-uri: https://qifu.uat-api.keyfil.com/qifu-saas-eg/wework/oauth/texous
        oauth-success-redirect-url:
    webhook-map:
      onboarding-message: https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=51ab2ee2-8610-4066-a32e-a4e84011103d
      order-sync-error: https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=5121784f-9366-4afc-8033-55f30ada5d6c
    iam:
      # keycloak 配置，需要修改为对应环境的
      server-url: http://172.17.229.32:18080
      realm: master
      username: admin
      password: admin
      work-realm: keyfil
```

### 其余配置

#### 开发者平台配置

----

## 开发说明

> 开发分支：feat/20250611-orderfix

### 功能列表

- 派送翼优化
- lazada联调问题修复
- 新员工入职信息发送


