<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 04-使用教程 -->
<!-- Title: 20250617-门户网站使用教程 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 门户网站使用教程

## 解决问题

- 公司各种工具和环境混杂
- 许多工具开发无法很好的感知
- 统一书签管理

--- 

## 快速使用

1. 打开 http://menhu.qifu.com
2. 选择企微登录

--- 

## 附加说明

### 修改密码

- 修改密码之后，可以用账户和密码登录，而不需要企微登录
  - 打开设置 （头像 -> 设置）
  - 选择左侧 `密码` 选项
  - 填入新密码，点击 `保存修改`。旧密码默认为空

### 扩展使用

- 使用扩展可以快速添加自己的链接到自定义收藏夹

#### 浏览器安装扩展程序

- [Chrome/Edge地址](https://chromewebstore.google.com/detail/linkwarden/pnidmkljnhbjfffciajlcpeldoljnidn)
    - ![](https://picture.texous.cn/blog/20250617173201956.png)
- [Firefox地址](https://chromewebstore.google.com/detail/linkwarden/pnidmkljnhbjfffciajlcpeldoljnidn)
    - ![](https://picture.texous.cn/blog/20250617173232978.png)
- 如果网络不方便的可以使用下面的压缩包，扩展解压缩后，在扩展界面添加已解压的扩展进行安装
    - [扩展包下载](https://drive.weixin.qq.com/s?k=AE0Auwd4ACg2LReqE1)
    - ![](https://picture.texous.cn/blog/20250617173350105.png)

#### 配置服务信息

- 新建 AccessToken（头像 -> 设置）
    - ![](https://picture.texous.cn/blog/20250617174427002.png)
- 浏览器插件配置
    - ![](https://picture.texous.cn/blog/20250617174510825.png)
    - URL：http://menhu.qifu.com
    - API Key：第一步创建的 AccessToken
- 在需要收藏的界面点击插件图标，保存到自己的文件夹下（官方文件夹无权限收藏）

---

## 参考

- [官方说明文档](https://docs.linkwarden.app/getting-started/browser-extension)