<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 00-基础组件 -->
<!-- Parent: 00-EngineStarter引入指南 -->
<!-- Title: 20250617-EngineStarter引入指南-2.0.2 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 旧项目引入新包教程


- **注意：** `qifu-saas-parent >= 2.0.2-SNAPSHOT`

## 快速使用

### 添加需要引入的模块

```xml

<dependency>
    <groupId>com.yuanmeng.engine</groupId>
    <artifactId>engine-starter-web</artifactId>
</dependency>
```

### 添加兼容包（可选）

#### 兼容包兼容列表

| 旧包                          | 新包                          | 兼容包                                    | 说明 |
|-----------------------------|-----------------------------|----------------------------------------|----|
| web-core                    | engine-starter-web          | engine-starter-compatible-web          |    |
| oauth2-core                 | engine-starter-web          | engine-starter-compatible-web          |    |
| data-mybatis-plus、data-core | engine-starter-mybatis-plus | engine-starter-compatible-mybatis-plus |    |


### 重复功能禁用
- 核心包默认集成并开启了一些通用功能
  - 可以通过对应的配置文件关闭核心包中的功能
  - 也可以移除项目中的重复配置代码

#### 各个模块的功能特性列表
[功能特新列表（00-EngineStarter开头）](http://confluence.qifu.com/pages/viewpage.action?pageId=38508258)
