# IDEA优化配置

## Terminal修改为GitBash

- 配置路径：`Settings > Tools > Terminal`
  - ![](https://picture.texous.cn/blog/20250514173518633.png)
- 支持中文显示
  - 修改 git bash 配置：`Git安装目录 > etc > bash.bashrc`
  - ![](https://picture.texous.cn/blog/20250514173728719.png)

## 通用注释模板配置
- 配置路径 `Settings > File and Code Templates > includes > File Header`
  - ![](https://picture.texous.cn/blog/20250514174200628.png)
  - ```java
    /**
     * insert description here
     *
     * @author liuxiaohua
     * @since ${DATE}
     */
    ```

## 常用插件列表
![](https://picture.texous.cn/blog/20250514174512217.png)

## 自定义快捷键配置
### Git Merge
- 配置路径 `Settings > Keymap`
  - ![](https://picture.texous.cn/blog/20250514174814281.png)
  - `Ctrl + ,`
### 界面配置
- 配置路径 `右上角空白处 > 右键 > Customize Toolbar...`
  - ![](https://picture.texous.cn/blog/20250514175118678.png)
  - ![](https://picture.texous.cn/blog/20250514175230706.png)